from itertools import permutations
def is_valid_cube_any_order(sides):
    for perm in permutations(sides):
        if perm[0] + perm[5] == perm[1] + perm[4] == perm[2] + perm[3]:
            return True
    return False
def check_cubes_any_order(n, cubes):
    results = []
    for sides in cubes:
        if is_valid_cube_any_order(sides):
            results.append("yes")
        else:
            results.append("no")
    return results
n = int(input())
cubes = []
for _ in range(n):
    cubes.append(list(map(int, input().split())))
results = check_cubes_any_order(n, cubes)
for result in results:
    print(result)
